package middleware

import (
	"gateway/core/proxy/router"
	"github.com/gogf/gf/v2/net/ghttp"
	"log"
)

// FilterHandler 身份验证中间件及权益扣除
func FilterHandler(r *ghttp.Request) {
	beforeCtx := router.GetGContext(r.GetCtx())
	log.Printf("FilterHandler %+v\n", beforeCtx)
	r.Middleware.Next()

	//权限校验鉴权

	//身份校验
}
